Subject: bug#8268: Windows Emacs Console persists while running running emacs.exe.

From: Juanma Barranquero <[email-masked]>
Date: Sun, 12 Feb 2017 13:47:43 +0100

On Sun, Feb 12, 2017 at 4:43 AM, <[email-masked]> wrote:

> Something like this?
>
> --- i/nt/README.W32
> +++ w/nt/README.W32
> @@ -94,6 +94,12 @@ See the end of the file for license conditions.
>    (non-windowed) mode of operation is most useful if you have a telnet
>    server on your machine, allowing you to run Emacs remotely.
>
> +* Pinning Emacs to the taskbar (Windows 7 and higher)
> +
> +  After starting Emacs the first time, pin it to the taskbar, then
> +  edit the properties (via shift-right-click) so that the executable
> +  path to points to runemacs.exe instead of emacs.exe.
> +
>  * EXE files included
>
>    Emacs comes with the following executable files in the bin directory.

Yes, though the emacs-25 branch already has something like that in
nt/README.W32

  + runemacs.exe - A wrapper for running Emacs as a GUI application
    without popping up a command prompt window.  If you create a
    desktop shortcut for invoking Emacs, make it point to this
    executable, not to emacs.exe.

It's talking about a desktop shortcut and not the taskbar, but it is the
same idea. Perhaps change it to "If you create a desktop shortcut for
invoking Emacs, or pin Emacs to the taskbar, modify the shortcut so it
points to this executable, not to emacs.exe". Or something like that.